org.eclipse.incquery.validation.runtime

## Class ValidationInitializerUtil

- java.lang.Object
- - org.eclipse.incquery.validation.runtime.ValidationInitializerUtil

-     public final class ValidationInitializerUtil
      extends java.lang.Object

  Author:
    Abel Hegedus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationInitializerUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IValidationEngine` | `initializeValidationWithRegisteredConstraintsOnScope(IncQueryScope scope, java.lang.String editorId)` Initializes a new validation engine implementing the IValidationEngine interface on the provided Notifier instance with the constrains specified for the given editor Id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationInitializerUtil

          public ValidationInitializerUtil()

  - ### Method Detail

    - #### initializeValidationWithRegisteredConstraintsOnScope

          public static IValidationEngine initializeValidationWithRegisteredConstraintsOnScope(IncQueryScope scope,
                                                                                               java.lang.String editorId)
                                                                                        throws IncQueryException

      Initializes a new validation engine implementing the IValidationEngine interface on the provided Notifier instance with the constrains specified for the given editor Id.
      Parameters:
        `scope` - The Notifier object on which the validation engine should be initialized.
        `editorId` - An editor Id for which we wish to use the registered constraint specifications at the org.eclipse.incquery.livevalidation.runtime.constraintspecification extension point.
      Returns:
        The initialized validation engine.
      Throws:
        `IncQueryException` - if there is an error creating the engine on the scope